%define oname   http_parser.rb

Name:       ruby-%{oname}
Version:    0.5.3
Release:    %mkrel 10
Summary:    Simple callback-based HTTP request/response parser
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/igrigorik/em-socksify
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
Ruby bindings to http://github.com/ry/http-parser and http://github.com/a2800276/http-parser.java.

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-10.mga5
+ Revision: 751129
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-9.mga5
+ Revision: 688834
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.5.3-8.mga4
+ Revision: 561978
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.5.3-7.mga4
+ Revision: 561310
- Fix gem macros

* Mon Dec 23 2013 pterjan <pterjan> 0.5.3-6.mga4
+ Revision: 560247
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.5.3-5.mga4
+ Revision: 538166
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.5.3-4.mga4
+ Revision: 488880
- Use gem_setup
- Move the extension to the expected place

* Fri Feb 08 2013 umeabot <umeabot> 0.5.3-3.mga3
+ Revision: 396056
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.5.3-2.mga3
+ Revision: 381021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.5.3-1.mga3
+ Revision: 312921
- update file list
- imported package ruby-http_parser.rb

